# MQTTPubRPi.py
# Publish auf RPi mit 2 Buttons

from mqttclient import MQTTClient
from time import sleep
import RPi.GPIO as GPIO

#host = "192.168.0.10"
host = "broker.dynns.com"
topic = "uska/led"

P_ON = 24
P_OFF = 26

def setup():
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(P_ON, GPIO.IN, GPIO.PUD_UP)
    GPIO.setup(P_OFF, GPIO.IN, GPIO.PUD_UP)

m = MQTTClient()
if m.connect(host):
    print "Connection to", host, "established"
    setup()
    isOnPressed = False
    isOffPressed = False
    print "Press the on or off button"
    while True:
        if not isOnPressed and GPIO.input(P_ON) == GPIO.LOW:
            m.publish(topic, "ein")
            print "einschalten"
            isOnPressed = True
        elif isOnPressed and GPIO.input(P_ON) == GPIO.HIGH:
            isOnPressed = False
        elif not isOffPressed and GPIO.input(P_OFF) == GPIO.LOW:
            m.publish(topic, "aus")
            print "ausschalten"
            isOffPressed = True
        elif isOffPressed and GPIO.input(P_OFF) == GPIO.HIGH:
            isOffPressed = False
        sleep(0.01) # avoid bouncing events
else:
    print "Connection to", host, "failed"    

    