# WebController3py
# Minimal version using power switch

from tcpcom import HTTPServer
import RPi.GPIO as GPIO
from time import sleep

P_OFF = 24
P_ON = 26

def setup():
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(P_ON, GPIO.OUT)
    GPIO.setup(P_OFF, GPIO.OUT)

def turnOn():
    GPIO.output(P_ON, GPIO.HIGH)
    sleep(0.1)
    GPIO.output(P_ON, GPIO.LOW)

def turnOff():
    GPIO.output(P_OFF,  GPIO.HIGH)
    sleep(0.1)
    GPIO.output(P_OFF, GPIO.LOW)

def setup():
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(P_ON, GPIO.OUT)
    GPIO.setup(P_OFF, GPIO.OUT)

html = """<!DOCTYPE html>
<html>
  <head> <title>Raspi Remote</title> 
  <meta name="viewport" content="width=device-width, initial-scale=1">
  </head>
  <body> 
     <h1>Raspberry Pi Controller</h1>
     <b>Press to change the power state:</b>
     <form method="get">
       <input type="submit" style="font-size: 50px; height: 100px; width: 150px" name="POWER" value="ON" />
       <input type="submit" style="font-size: 50px; height: 100px; width: 150px" name="POWER" value="OFF" />
     </form>
     <br>
     Current power state: %s
  </body>
</html>
"""

def setSwitch(state):
    if state == "ON":
        turnOn()
    else:
        turnOff()
    
def requestHandler(clientIP, filename, params):
    global state
    if len(params) > 0:
        state = params[0][1]
        setSwitch(state)
    text = html % (state)
    return text, None

setup()
state = "OFF"
turnOff()
print "Server listening at IP " + HTTPServer.getIPAddress() + ":80"   
server = HTTPServer(requestHandler)
server.loopForever()
turnOff()
GPIO.cleanup()
print "Terminated"
   