# ShowIpAndMac.py

from OLED1306 import OLED1306
import time
from subprocess import Popen, PIPE
import re
import fcntl, socket, struct

def getHwAddr(ifname):
    s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    info = fcntl.ioctl(s.fileno(), 0x8927,  struct.pack('256s', ifname[:15]))
    return ':'.join(['%02x' % ord(char) for char in info[18:24]])

def getIPAddresses():
    '''
    @return:  List of all IP addresses of machine
    '''
    p = Popen(["ifconfig"], stdout = PIPE)
    ifc_resp = p.communicate()
    patt = re.compile(r'inet\s*\w*\S*:\s*(\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})')
    resp = patt.findall(ifc_resp[0])
    return resp

disp = OLED1306()
disp.setFontSize(14)

disp.println("MAC:")
mac = "not found"
try:
    mac = getHwAddr('wlan0')
except: 
    try:
        mac = getHwAddr('eth0')
    except:
        pass
disp.println(mac)
    
disp.println("IP:")
for address in getIPAddresses():
    if address != '127.0.0.1':
        disp.println(address)
print "done"

